<?php
/**
 * Plugin Name: No Update Nag
 * Version:     1.4.12
 * Plugin URI:  https://coffee2code.com/wp-plugins/no-update-nag/
 * Author:      Scott Reilly
 * Author URI:  https://coffee2code.com/
 * Text Domain: no-update-nag
 * License:     GPLv2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Description: Removes the WordPress update nag that appears at the top of all admin pages when a new version of WordPress is released
 *
 * Compatible with WordPress 2.5+ through 6.3+.
 *
 * =>> Read the accompanying readme.txt file for instructions and documentation.
 * =>> Also, visit the plugin's homepage for additional information and updates.
 * =>> Or visit: https://wordpress.org/plugins/no-update-nag/
 *
 * @package No_Update_Nag
 * @author  Scott Reilly
 * @version 1.4.12
 */

/*
	Copyright (c) 2008-2023 by Scott Reilly (aka coffee2code)

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

defined( 'ABSPATH' ) or die();

if ( ! function_exists( 'c2c_no_update_nag' ) ) :

	/**
	 * Disables the WordPress update nag.
	 *
	 * @since 1.2
	 */
	function c2c_no_update_nag() {
		remove_action( 'admin_notices',         'update_nag', 3 );
		remove_action( 'network_admin_notices', 'update_nag', 3 );
	}

endif;

add_action( 'admin_init', 'c2c_no_update_nag' );
